package top.imwork.assist.generator.dao;

import java.util.List;
import java.util.Map;

/**
 * 〈功能简述〉<br> 
 * 〈基础接口〉
 *
 * @author Administrator
 * @create 2020/4/27 0027
 * @since 1.0.0
 */
public interface BaseMapper {

    List<Map<String, Object>> queryList(Map<String, Object> map);

    Map<String, String> queryTable(String tableName);

    List<Map<String, String>> queryColumns(String tableName);
}